<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\Anmeldung\KursAuswahl\KursSuche;

class KursAuswahlSucheUseCase extends \Kufer\KuferTools\Basis\Anmeldung\KursAuswahl\KursSuche\KursAuswahlSucheUseCase
{
  public static function getToolSectionId()
  {
    return 19;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_ANMELDUNGBUCHEN_MA;
  }

  protected function getKursNummern()
  {
    $kursHelper = new \Kufer\KuferTools\Utils\DatamodulHelper\KursHelper\MitarbeiterAnmeldungKurse($this->toolSettings, $this->getUser(), $this->getExtraColumns());

    return $kursHelper->getIdsOhneFilter();
  }

  private function getExtraColumns()
  {
    $columns = $this->getColumns();

    $extraColumn = new \Column();
    $extraColumn->fieldname = 'id';
    $extraColumn->datamodul = 'kurse';
    $extraColumn->title = '';
    $extraColumn->width = '30';
    array_unshift($columns, $extraColumn);

    return $columns;
  }
}